/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package xpathtesterv1_2;

import xpathtester.*;
import java.util.LinkedList;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.MutableTreeNode;
import javax.swing.tree.TreeNode;
import org.w3c.dom.Node;

/**
 *
 * @author lesasch
 */
public class MyTreeNode extends DefaultMutableTreeNode {

    private Node correspondingNode;
    private boolean marked;
    private static LinkedList<MyTreeNode> nodes = new LinkedList<MyTreeNode>();

    public MyTreeNode(Node correspondingNode, Object content) {
        super(content);
        this.correspondingNode = correspondingNode;
        nodes.add(this);
    }

    public Node getCorrespondingNode() {
        return correspondingNode;
    }

    public boolean isGehoertZu(Node n) {
        return correspondingNode != null && correspondingNode.isSameNode(n);
    }

    public void setMarked(boolean marked) {
        this.marked = marked;
    }

    public boolean isMarked() {
        return marked;
    }

    public static void clearList() {
        nodes.clear();
    }

    public static MyTreeNode getTreeNodeCorrespondingTo(Node n) {
        for (MyTreeNode treenode : nodes) {
            if (treenode.isGehoertZu(n)) {
                return treenode;
            }
        }
        return null;
    } //MyTreeNode

    public static void  unmarkAll(){
        for (MyTreeNode treenode : nodes) {
            treenode.setMarked(false);
        }
    } //unmark
}
