/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package xpathtesterv1_2;

import xpathtester.*;
import java.awt.Color;
import java.awt.Component;
import javax.swing.BorderFactory;
import javax.swing.JTree;
import javax.swing.tree.DefaultTreeCellRenderer;

/**
 *
 * @author lesasch
 */
public class MyTreeRenderer extends DefaultTreeCellRenderer {

    private final Color BGCOLOR = Color.YELLOW;

    @Override
    public Component getTreeCellRendererComponent(JTree tree, Object value, boolean sel, boolean expanded, boolean leaf, int row, boolean hasFocus) {

        if (value instanceof MyTreeNode && ((MyTreeNode) value).isMarked()) {
            setBorder(BorderFactory.createLineBorder(Color.GRAY));
            setBackgroundNonSelectionColor(BGCOLOR);
            setBackgroundSelectionColor(BGCOLOR);

        } else {
            setBorder(null);
            setBackgroundNonSelectionColor(tree.getBackground());
            setBackgroundSelectionColor(tree.getBackground());
        }

        return super.getTreeCellRendererComponent(tree, value, sel, expanded, leaf, row, hasFocus);
    }

}
